PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Emergency Contact

This endpoint retrieves a list of all emergency contacts for a specific employee.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/emergency_contacts

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an array of up to the limit of emergency contacts. Each entry in the array is a separate emergency contact object. If there are no more emergency contacts, the resulting array will be empty.

dataobject
itemsobject[]
idnumber

Unique identifier for the object.

contact_namestring

The name of contactor

daytime_contact_numberstring

The phone number of contactor in daytime

after_hours_nostring

The phone number of contactor after working hours

after_mobile_nostring

the mobile number of contactor after working hours

relationshipstring

The relationship between contactor and the employee

contact_typestring

The type of contactor

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/emergency_contacts" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": 110762,        "contact_name": "Daniel Levi",        "daytime_contact_number": "02222222222",        "after_hours_no": "02222222222",        "after_mobile_no": "02222222222",        "relationship": "wife",        "contact_type": "primary"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 1,    "total_pages": 1  }}